View Issue Details

IDProjectCategoryView StatusLast Update
0003514Ham Radio DeluxeGeneralpublic2019-11-08 02:32
ReporterWA9PIEAssigned ToK7ZCZ 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.7.0.244 
Summary0003514: Only "Enabled Methods" should be allowed to reorder; UCSDB (Public and Private) and Country List should not
DescriptionIn the 6.7.0.235 beta build, the Callsign Lookup dialog box contains a list of things that are meant to be re-ordered with things that are not meant to be re-ordered.

With the changes described by 0003512, the UCSDB (Public and Private) will be in a section to themselves at the top of the list. These items should not be allowed for reordering.

The Country List would be below the Enabled Methods. It should not be allowed for reordering (then again, 0003512 would put it in a box all by itself).
Steps To Reproduce- Launch Logbook
- Go to Tools, Configure, Callsign Lookup... Enable tab
- Add a at least one enabled method. Attempt to move it around by drag/drop. The program will eventually allow you to place it above the UCSDB or below the Country List).
TagsNo tags attached.
ModuleLogbook
Sub-ModuleCall lookup
Testing Beta Successful

Relationships

related to 0003512 assignedWA9PIE 3 - Current Dev List Redesign of the Callsign Lookup's Enable tab UI 
child of 0003511 assignedWA9PIE 3 - Current Dev List Callsign Lookup dialog box has confusing UI 

Activities

K7ZCZ

2019-10-24 19:05

administrator   ~0009008

Specific repro instructions are given here:

1) Start up the Logbook; no particular database necessary
2) Use the "Callsign Lookup" command in the "Configure" tear-off in the "Tools" menu
3) In the "Enable" tab on the resulting "Callsign Lookup" dialog, enable only "RAC CD", "qrzcq.com", and "QRZ.com Subscription", plus the three default sources. For the sources I happened to choose, I have this list:

Public UCSDB
Private UCSDB
RAC CD
qrzcq.com
QRZ.com Subscription
Country List

4) Click the fourth source and drag it over the third source. This should cause those two sources to swap places. For my list, I dragged "qrzcq.com" over "RAC CD".

BUG#1) The fourh source, the one dragged, is actually inserted between the first two sources; between "Public UCSDB" and "Private UCSDB". For me, the list ended up like this:

Public UCSDB
qrzcq.com
Private UCSDB
RAC CD
QRZ.com Subscription
Country List

More succinctly, any upwards drag will insert above the item where it is dropped instead of replacing it.

K7ZCZ

2019-10-24 20:00

administrator   ~0009009

fixed with this change set:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/5232

WA9PIE

2019-10-29 16:37

administrator   ~0009087

Validated

Issue History

Date Modified Username Field Change
2019-10-23 00:45 WA9PIE New Issue
2019-10-23 00:45 WA9PIE Status new => assigned
2019-10-23 00:45 WA9PIE Assigned To => K7ZCZ
2019-10-23 00:45 WA9PIE Issue generated from: 0003511
2019-10-23 00:45 WA9PIE Relationship added child of 0003511
2019-10-23 00:47 WA9PIE Relationship added related to 0003512
2019-10-24 19:05 K7ZCZ Note Added: 0009008
2019-10-24 20:00 K7ZCZ Status assigned => resolved
2019-10-24 20:00 K7ZCZ Resolution open => fixed
2019-10-24 20:00 K7ZCZ Note Added: 0009009
2019-10-29 15:51 K7ZCZ Fixed in Version => 6.7.0.239
2019-10-29 16:37 WA9PIE Status resolved => closed
2019-10-29 16:37 WA9PIE Testing Not Started => Beta Successful
2019-10-29 16:37 WA9PIE Note Added: 0009087
2019-11-08 02:10 WA9PIE Fixed in Version 6.7.0.239 => 6.7.0.244
2019-11-08 02:32 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe